textures/ef_algiers/metalrail
{
	qer_editorimage textures/ef_algiers/metalrail.tga
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/ef_algiers/metalrail.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ef_algiers/metalrail2
{
	qer_editorimage textures/ef_algiers/metalrail2.tga
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/ef_algiers/metalrail2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ef_algiers/metalrailbig
{
	qer_editorimage textures/ef_algiers/metalrailbig.tga
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/ef_algiers/metalrailbig.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/ef_algiers/toppannel
{
	qer_editorimage textures/ef_algiers/toppannel2.tga
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/ef_algiers/toppannel2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

///Skybox

textures/ef_algiers/ef_algiers_skybox
{
	qer_editorimage textures/ef_algiers/lmsky2.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	//q3map_sun .5 .37 .19  30 70
	//q3map_sun .5 .37 .19 70 170 40
	q3map_sun .5 .5 .5 110 130 55
	//q3map_surfacelight 80
	q3map_surfacelight 170

        skyparms env/ef_algiers/algierssky - -
	
}

//Q3UT3
//textures/ef_algiers/ef_algiers_skyboxnew
//{
//	qer_editorimage textures/ef_algiers/lmsky2.tga
//	surfaceparm noimpact
//	surfaceparm nolightmap
//	surfaceparm sky
//	//q3map_sun .5 .37 .19  30 70
//	//q3map_sun .5 .37 .19 70 170 40
//    q3map_sunExt 238 232 185 150 130 55 3 16
//    q3map_lightRGB 238 232 185
//	//q3map_surfacelight 80
//    q3map_lightmapFilterRadius 0 64	
//	q3map_skylight 90 3
//    q3map_backsplash 0 0
//
//     skyparms env/ef_algiers/algierssky - -
//	
//}

textures/ef_algiers/algiers_skyboxnight
{
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
	q3map_lightimage textures/ef_algiers/sky_white.tga
	qer_editorimage textures/ef_algiers/sky_white.tga
	q3map_surfacelight 80
	q3map_lightsubdivide 1024
	q3map_globaltexture
	q3map_sun 0.005 0.0 0.0 25 350 20
	skyparms env/ef_algiers/badomen512 - - 
}

//UT standalone
textures/ef_algiers/algiers_skyboxnew
{
	qer_editorimage textures/ef_algiers/lmsky2.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	//q3map_sun .5 .37 .19  30 70
	//q3map_sun .5 .37 .19 70 170 40
    q3map_sunExt 234 211 149 450 130 55 3 16
    q3map_lightRGB 234 211 149 //235 212 121 //238 232 185
	//q3map_surfacelight 80
    q3map_lightmapFilterRadius 0 64	
	q3map_skylight 325 3
    q3map_backsplash 0 0

     skyparms env/ef_algiers/algierssky - -
	
}

textures/ef_algiers/woodladder
{
      	qer_editorimage textures/ef_algiers/woodladder_64x64.tga
    	surfaceparm trans
	surfaceparm playerclip
   	 surfaceparm ladder
	cull none
        	nopicmip
	{
		map textures/ef_algiers/woodladder_64x64.tga
		tcMod scale 1 1
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

////Base Lights

textures/ef_algiers/patch10_pj_lite2
{
	q3map_surfacelight 2000
	surfaceparm nomarks
	//light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_algiers/patch10_pj_lite2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ef_algiers/patch10_pj_lite2.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/ef_algiers/baslt4_1_2k
{
	qer_editorimage textures/ef_algiers/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ef_algiers/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ef_algiers/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

///Lightmaps

textures/ef_algiers/sn_stonefloor2HR
{
	qer_editorimage textures/ef_algiers/sn_stonefloor2.jpg
  	q3map_lightmapSize 1024 1024
  	q3map_lightmapBrightness 2.0
  	{
    		tcgen lightmap
    		map $lightmap
    		rgbGen identity
  	}
  	{
    		map textures/ef_algiers/sn_stonefloor2.jpg
	    	blendFunc filter
	}
}

textures/ef_algiers/sn_dirt1HR
{
	qer_editorimage textures/ef_algiers/sn_dirt1.jpg
  	q3map_lightmapSize 1024 1024
  	q3map_lightmapBrightness 2.0
  	{
    		tcgen lightmap
    		map $lightmap
    		rgbGen identity
  	}
  	{
    		map textures/ef_algiers/sn_dirt1.jpg
	    	blendFunc filter
	}
}

textures/ef_algiers/cobble_1HR
{
	qer_editorimage textures/ef_algiers/cobble_1.jpg
  	q3map_lightmapSize 1024 1024
  	q3map_lightmapBrightness 2.0
  	{
    		tcgen lightmap
    		map $lightmap
    		rgbGen identity
  	}
  	{
    		map textures/ef_algiers/cobble_1.jpg
	    	blendFunc filter
	}
}

textures/ef_algiers/abbey2_wall14bHR
{
	qer_editorimage textures/ef_algiers/abbey2_wall14b.jpg
  	q3map_lightmapSize 1024 1024
  	q3map_lightmapBrightness 2.0
  	{
    		tcgen lightmap
    		map $lightmap
    		rgbGen identity
  	}
  	{
    		map textures/ef_algiers/abbey2_wall14b.jpg
	    	blendFunc filter
	}
}

textures/ef_algiers/sn_wall1HR
{
	qer_editorimage textures/ef_algiers/sn_wall1.jpg
  	q3map_lightmapSize 1024 1024
  	q3map_lightmapBrightness 2.0
  	{
    		tcgen lightmap
    		map $lightmap
    		rgbGen identity
  	}
  	{
    		map textures/ef_algiers/sn_wall1.jpg
	    	blendFunc filter
	}
}

textures/ef_algiers/sn_wall27HR
{
	qer_editorimage textures/ef_algiers/sn_wall27.jpg
  	q3map_lightmapSize 1024 1024
  	q3map_lightmapBrightness 2.0
  	{
    		tcgen lightmap
    		map $lightmap
    		rgbGen identity
  	}
  	{
    		map textures/ef_algiers/sn_wall27.jpg
	    	blendFunc filter
	}
}

textures/ef_algiers/sn_wall1dHR
{
	qer_editorimage textures/ef_algiers/sn_wall1d.jpg
  	q3map_lightmapSize 1024 1024
  	q3map_lightmapBrightness 2.0
  	{
    		tcgen lightmap
    		map $lightmap
    		rgbGen identity
  	}
  	{
    		map textures/ef_algiers/sn_wall1d.jpg
	    	blendFunc filter
	}
}

textures/ef_algiers/sn_stonefloor2_trimHR
{
	qer_editorimage textures/ef_algiers/sn_stonefloor2_dirt1trim.jpg
  	q3map_lightmapSize 1024 1024
  	q3map_lightmapBrightness 2.0
  	{
    		tcgen lightmap
    		map $lightmap
    		rgbGen identity
  	}
  	{
    		map textures/ef_algiers/sn_stonefloor2_dirt1trim.jpg
	    	blendFunc filter
	}
}
